Pular para o conteúdo
Esc
↑↓navegar↵abrir⌘Jpré-visualizar

List emails

Newest first, with cursor pagination: after takes the last id of a page and pages toward older items, before takes the first id and pages back toward newer ones.

GET/emails
Autorização
AuthorizationToken Bearer · headerobrigatório

A BillionSend API key (bs_…).

Parâmetros de consulta
limitinteger

Page size, 1-100 (default 20)

mín. 1 · máx. 100
afterstring<uuid>

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

beforestring<uuid>

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

Respostas
200

Emails

objectstringobrigatório
Valores permitidos:list
dataobject[]obrigatório
Mostrar propriedades
Array de object
idstring<uuid>obrigatório
fromstringobrigatório
tostring[]obrigatório
ccstring[] | nullobrigatório
bccstring[] | nullobrigatório
reply_tostring[] | nullobrigatório
subjectstringobrigatório
created_atstringobrigatório
scheduled_atstring | nullobrigatório
last_eventstringobrigatório
has_morebooleanobrigatório
401

Missing, malformed, unknown or revoked API key

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
403

Restricted API key

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
422

Validation error

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
Experimentar
Servidor
Autorização
Parâmetros
Requisição
curl -X GET 'https://api.billionsend.com/emails' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Resposta
{
  "object": "list",
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "from": "string",
      "to": [
        "string"
      ],
      "cc": [
        "string"
      ],
      "bcc": [
        "string"
      ],
      "reply_to": [
        "string"
      ],
      "subject": "string",
      "created_at": "string",
      "scheduled_at": "string",
      "last_event": "string"
    }
  ],
  "has_more": true
}

Esta página foi útil?